2 li568366194 li568366194 于 2015.06.04 12:50 提问

XAMPP无法加载ssh2.so模块
php

如题:为加载ssh2.so模块,安装libssh2-1.4.2和ssh2-0.12后,执行make test命令进行测试,显示如下错误,我该如何解决这个问题呢?谁能帮我解答一下,谢谢!!
PHP : /opt/lampp/bin/php
Warning: PHP Startup: Unable to load dynamic library '/home/liling/ssh2-0.12/modules/ssh2.so' - /usr/local/libssh2/lib/libssh2.so.1: symbol EVP_des_ede3_cbc, version OPENSSL_1.0.0 not defined in file libcrypto.so.1.0.0 with link time reference in Unknown on line 0

2个回答

pop32399
pop32399   2015.06.04 12:51

这个问题问得好,不太好回答

li568366194
li568366194   2015.06.04 12:58

我找了好久的资料都没解决,会是openssl的版本问题么?我的系统是ubuntu14.04 LTS,OPENSSL版本是1.0.1f

Csdn user default icon
上传中...
上传图片
插入图片